Subject: Ticket Assigned - Delivery
From: Home Centre UAE <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jun 2022 03:55:41 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My delivery was scheduled on Thursday. Someone called me from home centre . Telling me they will arrive 4-7pm I cancelled my plans although thursday is the weekend in Kuwait . And waited . No one called no one showed up. This was last Thursday . Now 3 days has passed still no one has contacted me from you store! What kind of customer service is this? 
People have told me not to order from your website as u have delivery issues. I did it anyways and now I regret it.
I really believe you should not have a site https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4452098